MeiroDocs

Authentication

+ Response 200 (application/json)

Section: Group Authentication. Base URL: https://instance_name.meiro.io/api/.

Authentication Options [/users/auth_options]

Get an Authentication Options [GET]

  • Response 200 (application/json)
    • Body
{
    "authentication_options": {
        "is_credentials_login_enabled": true,
        "is_oidc_login_enabled": false
    }
}

Login [/users/login]

Get an Access Token [POST]

Performs the credentials login. Takes in an plain text email and password.

Returns an access token which is passed along as a header with all future requests to authenticate the user.

Access token expires after 8 hours.

  • Attributes

    • email: example@email.com (string) - User's e-mail address
    • password: my-password (string) - User's password
  • Request (application/json)

  • Response 200 (application/json)

    • Body
{
    "token": "1234567890abcdef"
}

Refresh the Access Token [PATCH]

Access token can be refreshed maximally 4 hours after it expires.

  • Attributes

    • token: 1234567890abcdef (string)
  • Request (application/json)

  • Response 200 (application/json)

    • Body
{
    "token": "1234567890abcdef"
}

Log-out [DELETE]

  • Attributes

    • token: 1234567890abcdef (string)
  • Request (application/json)

  • Response 200 (application/json)

    • Body
{
    "message": "Successfully logged-out"
}

OIDC Login [/users/oidc_login]

Get an Access Token [POST]

Performs the OIDC login. Takes in the code from the OIDC OAUTH response.

Returns an access token which is passed along as a header with all future requests to authenticate the user.

  • Attributes

    • code: 1234567890abcdef (string) - Code received from the OIDC
  • Request (application/json)

  • Response 200 (application/json)

    • Body
{
    "token": "1234567890abcdef"
}

Metabase Login [/users/metabase_login]

Get an Metabase Access Token [POST]

Requests access token to Metabase. Token is set as cookie.

Required feature: reports/edit

  • Request (application/json)

    • Headers

      X-Access-Token: 1234567890abcdef

  • Response 200 (application/json)

On this page